
Foreman - Refactor #2801

remove LOWER() in default_scope of models that could cause PG error

07/17/2013 06:41 AM - Joseph Magen

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category:    

Target version: 1.2.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

similar to Bug #2602

LOWER is still in default scope for FactName, Model, Operatingsystem, Ptable, Usergroup

I'm including this commit in #2411 refactoring /lib, /models branch

Associated revisions

Revision 60e2072a - 07/24/2013 04:32 PM - Joseph Magen

fixes #2801 - remove LOWER in default_scope of models that could cause PG error

Revision 572daf95 - 07/24/2013 04:40 PM - Joseph Magen

fixes #2801 - remove LOWER in default_scope of models that could cause PG error

(cherry picked from commit 60e2072a7751819b1d870681294e3feff3de3cbf)

History

#1 - 07/22/2013 05:06 AM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

- Target version set to 1.3.0

https://github.com/theforeman/foreman/pull/802

I might pull this back to 1.2.1 if it fixes the issue reported on foreman-users.

#2 - 07/22/2013 07:55 AM - Dominic Cleal

- Target version changed from 1.3.0 to 1.2.1

#3 - 07/24/2013 05:17 PM - Joseph Magen

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 572daf95682d6ee73c4ac155544c7a79535f4ecc.
